Package docking.widgets.table

# Class TableSortStateEditor

java.lang.Object
docking.widgets.table.TableSortStateEditor

public class TableSortStateEditor extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableSortStateEditor()`
  `TableSortStateEditor(TableSortState tableSortState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSortedColumn(int columnIndex)`
  `void`
  `addSortedColumn(int columnIndex, ColumnSortState.SortDirection direction)`
  `void`
  `addSortedColumn(ColumnSortState sortState)`
  `void`
  `clear()`
  `TableSortState`
  `createTableSortState()`
  `void`
  `flipColumnSortDirection(int columnIndex)`
  `ColumnSortState`
  `getColumnSortState(int sortStateIndex)`
  `int`
  `getSortedColumnCount()`
  `boolean`
  `isColumnSorted(int columnIndex)`
  `Iterator<ColumnSortState>`
  `iterator()`
  `void`
  `removeSortedColumn(int columnIndex)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TableSortStateEditor

    public TableSortStateEditor()

  - ### TableSortStateEditor

    public TableSortStateEditor(TableSortState tableSortState)

- ## Method Details

  - ### addSortedColumn

    public void addSortedColumn(ColumnSortState sortState)

  - ### addSortedColumn

    public void addSortedColumn(int columnIndex)

  - ### addSortedColumn

    public void addSortedColumn(int columnIndex, ColumnSortState.SortDirection direction)

  - ### getColumnSortState

    public ColumnSortState getColumnSortState(int sortStateIndex)

  - ### removeSortedColumn

    public void removeSortedColumn(int columnIndex)

  - ### flipColumnSortDirection

    public void flipColumnSortDirection(int columnIndex)

  - ### iterator

    public Iterator<ColumnSortState> iterator()

  - ### createTableSortState

    public TableSortState createTableSortState()

  - ### clear

    public void clear()

  - ### isColumnSorted

    public boolean isColumnSorted(int columnIndex)

  - ### getSortedColumnCount

    public int getSortedColumnCount()